Bug 161055 - neither /proc/video nor /dev/video* get created when loading webcam module
neither /proc/video nor /dev/video* get created when loading webcam module
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.the-ownage.com/files/downl...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 05:53 EDT by Charles Jones
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Jones 2005-06-20 05:53:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I have a "vicam" webcam (also known as 3com HomeConnect).  When I plug it in and load the modules for it (modprobe vicam, modprobe videodev), dmesg indicates the module is loaded but there is no /dev/video* or /proc/video device/dirs created, and thus any applications fail to find a video device.

# lsmod
Module                  Size  Used by
vicam                  16128  0
videodev               13824  1 vicam
md5                     8320  1
ipv6                  267072  10
lp                     16904  0
autofs4                23172  2
rfcomm                 46488  0
l2cap                  34176  5 rfcomm
bluetooth              57220  4 rfcomm,l2cap
sunrpc                140612  1
video                  20228  0
button                 10896  0
battery                13700  0
ac                      9092  0
uhci_hcd               35728  0
parport_pc             32068  1
parport                39624  2 lp,parport_pc
i2c_viapro             12304  0
i2c_core               25856  1 i2c_viapro
8139too                30080  0
mii                     9728  1 8139too
dm_snapshot            21284  0
dm_zero                 6016  0
dm_mirror              25948  0
ext3                  133128  2
jbd                    61720  1 ext3


Relavant snippets from dmesg:

USB Universal Host Controller Interface driver v2.2
uhci_hcd 0000:00:07.2: UHCI Host Controller
uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:07.2: irq 12, io base 0x0000e400
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
Linux video capture interface: v1.00
usbcore: registered new driver vicam

# ls -ld /dev/vid*
ls: /dev/vid*: No such file or directory
# ls -ld /proc/vid*
ls: /proc/vid*: No such file or directory



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in USB camera (or boot with it connected)
2. modprobe videodev
3. modprobe vicam
4. Modules are loaded, but no video devices are accessible
  

Expected Results:  When loading the vicam module, a there should be an entry in /proc/video.  The module source even seems to indicate that it does this, yet it does not happen.

Additional info:

Kernel is 2.6.12-rc5
Comment 1 Dave Jones 2005-07-15 17:41:56 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 2 Dave Jones 2005-09-30 02:29:25 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Dave Jones 2005-11-10 14:29:35 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 00:32:57 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 09:55:02 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.